/*DISPLAY PROPERTY*/

/*This is a display*/
html{
	scroll-behavior: smooth;
	height: 500vh;
}

#div-1 {
	background-color: green;
	/*An inline element does not start on a new line. It only takes up as much width as necessary*/
	display: inline;
}

/*This is a span*/
#span-1 {
	background-color: purple;
	/*Display none hides the element from the website*/
	display: none;
	width: 200px;
	height: 200px;
}

/*This is another span*/
#span-2 {
	background-color: red;
	/*Block elements by default take as much sapce as they can*/
	display: block;
}

/*This is another div*/
#div-2 {
	display: none;
	background-color: hotpink;
}

#img {
	/*Inline-block does not start on a new line and it only takes as much width as necessary*/
	display: inline-block;
	width: 250px;
	height: 250px;
}

/*Block takes up the whole width by default*/
#p-1 {
	background-color: #87CEFA;
}

/*Width 60*/
#p-2 {
	background-color: rgb(255,105,180);
	width: 60%;
}

/*Width 40*/
#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 33%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/
.img-float {
	width: 250px;
	height: 250px;
	/*inherits this property from its parent element*/
	float: inherit;
}

/*CSS Units*/
.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem{
	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}

/*background property*/
.background {
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	/*image being centered horizontally, alignment with the top of the element vertically*/
	background-position: center top;
	background-attachment: scroll;
}

.container-bg {
	background-color: rgba(0,0,0,0.5);
	min-height: 100vh;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	padding-top: 25rem;
	/*controls the height of each line of text within an element*/
	/*line-height: 35rem;*/
}

/*CSS POSITIONING*/
.parent-element {
	background-color: deeppink;
	padding: 50px;
	position: relative;
	height: 800px;
}

.child-one {
	background-color: mediumpurple;
	padding: 10px;
}

.child-two {
	background-color: green;
	padding: 10px;
	position: sticky;
	top: 10px;
}

.child-three{
	background-color: yellow;
	padding: 10px;
}


/*Z-Index Property*/
/*An element with greater stack order is always above an element with a lower stack order*/

.container {
	position: relative;
}

.black-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box{
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60%;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box{
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}